package domain

type Account struct {
	Id        int    `db:"id" json:"id"`
	Username  string `db:"username" json:"username"`
	Password  string `db:"password" json:"-"`
	RoleId    int    `db:"role_id" json:"role_id"`
	CreatedAt string `db:"created_at" json:"created_at"`
	UpdatedAt string `db:"updated_at" json:"updated_at"`
}

type AccountLogin struct {
	Username string
	Password string
}

type AccountWithToken struct {
	Account *Account
	Token   string
}

type AccountCreate struct {
	Username string
	Password string
	RoleId   int
}
