package domain

import (
	"net/http"

	"gitea.qpismont.fr/qpismont/trepa/internal/core"
)

var (
	ErrAccountNotFound      = core.NewHTTPError(http.StatusNotFound, "Account not found", nil)
	ErrAccountAlreadyExists = core.NewHTTPError(http.StatusConflict, "Account already exists", nil)
	ErrBadPassword          = core.NewHTTPError(http.StatusUnauthorized, "Bad password", nil)
)
